window.Gleam.initSearch([{"doc":"squeal","title":"squeal","content":"# 🗣️ Squeal\n\n[![Package Version](https://img.shields.io/hexpm/v/squeal)](https://hex.pm/packages/squeal)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/squeal/)\n\n## Gleam SQL-Formatter using the js package [sql-formatter](https://github.com/sql-formatter-org/sql-formatter)\n\nSqueal formats all `*.sql` files in your current directory and subdirectories\n\n```sh\ngleam add --dev squeal@1\ngleam run -m squeal\ngleam run -m squeal -- --width=4 --identifiercase=lower\n```\n\n## Flags\n\n```\n--datatypecase=preserve|upper|lower\n--denseoperators=&lt;BOOL&gt;\n--dialect=sql|postgres|sqlite|mysql|mariasql\n--expressionwidth=&lt;INT&gt;\n--functioncase=preserve|upper|lower\n--identifiercase=preserve|upper|lower\n--indentstyle=standard|tableft|tabright\n--keywordcase=preserve|upper|lower\n--linesbetween=&lt;INT&gt;\n--logicalopnewline=&lt;BOOL&gt;\n--newlinesemi=&lt;BOOL&gt;\n--tabs=&lt;BOOL&gt;\n--width=&lt;INT&gt;\n```\n\n## Example\n\nSQL-File:\n```sql\nselect * FROM users\n```\nCommand:\n```sh\ngleam run -m squeal -- --width=4 --identifiercase=lower\n```\nSQL-File:\n```sql\nSELECT\n    *\nFROM\n    users\n```\nCommand:\n```sh\ngleam run -m squeal -- --width=2 --identifiercase=lower --keywordcase=lower\n```\nSQL-File:\n```sql\nselect\n  *\nfrom\n  users\n```\n","url":"index.html"},{"doc":"squeal","title":"Casing","content":"pub type Casing {\n  Preserve\n  Uppercase\n  Lowercase\n}\n\nPreserve\n\n\nUppercase\n\n\nLowercase\n\n\nSynonyms:\nsqueal.Casing\nsqueal Casing","url":"squeal.html#Casing"},{"doc":"squeal","title":"Dialect","content":"pub type Dialect {\n  Sql\n  Postgresql\n  Sqlite\n  MySql\n  MariaSql\n}\n\nSql\n\n\nPostgresql\n\n\nSqlite\n\n\nMySql\n\n\nMariaSql\n\n\nSynonyms:\nsqueal.Dialect\nsqueal Dialect","url":"squeal.html#Dialect"},{"doc":"squeal","title":"FormatOptions","content":"pub type FormatOptions {\n  FormatOptions(\n    tab_width: Int,\n    use_tabs: Bool,\n    keyword_case: Casing,\n    identifier_case: Casing,\n    data_type_case: Casing,\n    function_case: Casing,\n    indent_style: IndentStyle,\n    logical_operator_new_line_before: Bool,\n    expression_width: Int,\n    lines_between_queries: Int,\n    dense_operators: Bool,\n    newline_before_semicolon: Bool,\n    dialect: Dialect,\n  )\n}\n\nFormatOptions(\n  tab_width: Int,\n  use_tabs: Bool,\n  keyword_case: Casing,\n  identifier_case: Casing,\n  data_type_case: Casing,\n  function_case: Casing,\n  indent_style: IndentStyle,\n  logical_operator_new_line_before: Bool,\n  expression_width: Int,\n  lines_between_queries: Int,\n  dense_operators: Bool,\n  newline_before_semicolon: Bool,\n  dialect: Dialect,\n)\n\n\nSynonyms:\nsqueal.FormatOptions\nsqueal FormatOptions","url":"squeal.html#FormatOptions"},{"doc":"squeal","title":"IndentStyle","content":"pub type IndentStyle {\n  Standard\n  TabularLeft\n  TabularRight\n}\n\nStandard\n\n\nTabularLeft\n\n\nTabularRight\n\n\nSynonyms:\nsqueal.IndentStyle\nsqueal IndentStyle","url":"squeal.html#IndentStyle"},{"doc":"squeal","title":"default_options","content":"pub const default_options: FormatOptions\n\nSynonyms:\nsqueal.default_options\nsqueal default_options","url":"squeal.html#default_options"},{"doc":"squeal","title":"casing_from_string","content":"pub fn casing_from_string(string: String) -&gt; Result(Casing, Nil)\n\nSynonyms:\nsqueal.casing_from_string\nsqueal casing_from_string","url":"squeal.html#casing_from_string"},{"doc":"squeal","title":"casing_to_string","content":"pub fn casing_to_string(casing: Casing) -&gt; String\n\nSynonyms:\nsqueal.casing_to_string\nsqueal casing_to_string","url":"squeal.html#casing_to_string"},{"doc":"squeal","title":"dialect_from_string","content":"pub fn dialect_from_string(\n  string: String,\n) -&gt; Result(Dialect, Nil)\n\nSynonyms:\nsqueal.dialect_from_string\nsqueal dialect_from_string","url":"squeal.html#dialect_from_string"},{"doc":"squeal","title":"dialect_to_string","content":"pub fn dialect_to_string(dialect: Dialect) -&gt; String\n\nSynonyms:\nsqueal.dialect_to_string\nsqueal dialect_to_string","url":"squeal.html#dialect_to_string"},{"doc":"squeal","title":"format","content":"pub fn format(sql: String, options: FormatOptions) -&gt; String\n\nSynonyms:\nsqueal.format\nsqueal format","url":"squeal.html#format"},{"doc":"squeal","title":"indent_style_from_string","content":"pub fn indent_style_from_string(\n  string: String,\n) -&gt; Result(IndentStyle, Nil)\n\nSynonyms:\nsqueal.indent_style_from_string\nsqueal indent_style_from_string","url":"squeal.html#indent_style_from_string"},{"doc":"squeal","title":"indent_style_to_string","content":"pub fn indent_style_to_string(style: IndentStyle) -&gt; String\n\nSynonyms:\nsqueal.indent_style_to_string\nsqueal indent_style_to_string","url":"squeal.html#indent_style_to_string"},{"doc":"squeal","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nsqueal.main\nsqueal main","url":"squeal.html#main"},{"doc":"squeal","title":"squeal","content":"","url":"squeal.html"}]);